Witaj Gościu! ( Zaloguj | Rejestruj )

Forum PHP.pl

 
Reply to this topicStart new topic
> [PHP]session_start() - przesiadka z php 5.3 na php 7.0, Sesje przestają działać
mazury
post 25.12.2017, 13:08:19
Post #1





Grupa: Zarejestrowani
Postów: 2
Pomógł: 0
Dołączył: 25.12.2017

Ostrzeżenie: (0%)
-----


Mam działającą stronę wykorzystującą sesje na php 5.3.

Serwer daje możliwość przełączenia się na php 7.0

Stwierdziłem że sprawdzę czy strona będzie działać i przełączyłem na php 7.0. Po przełączeniu strona przestała działać. Pojawia się komunikat:

Warning: session_start(): Cannot send session cache limiter - headers already sent (output started at /home/xxx/ftp/xxx-xxx-xx/index.php:1) in /home/xxx/ftp/xxx-xxx-xx/session on line 4

Mam plik index.php ktory na samym poczatku includuje plik session. Plik session zaczyna sie od linijek:
  1. <?php
  2.  
  3. ?>

Na 4 linijce wywala blad jakby przed session_start() bylo cos wysylane... ale nie jest. Czy ktoś z szanownych uzytkowników może pomóc? Gdyby to nie działało na php 5.3 to bym uznal ze cos jest totalnie skopane... ale na 5.3 dziala... a na 7.0 nie...


--
Andrzej
Powód edycji: [Kshyhoo]: Używaj bb-code do kodu...
Go to the top of the page
+Quote Post
Kshyhoo
post 25.12.2017, 13:25:56
Post #2





Grupa: Opiekunowie
Postów: 3 853
Pomógł: 317
Dołączył: 4.01.2005
Skąd: że




Zobacz, czy przypadkiem plik nie ma BOM dla UTF-8.


--------------------
Go to the top of the page
+Quote Post
mazury
post 25.12.2017, 16:55:30
Post #3





Grupa: Zarejestrowani
Postów: 2
Pomógł: 0
Dołączył: 25.12.2017

Ostrzeżenie: (0%)
-----


Racja. Już tak dawno nie walczyłem z BOMem, że przeoczyłem to. Wielkie dzięki!

--
Andrzej
Go to the top of the page
+Quote Post

Reply to this topicStart new topic
1 Użytkowników czyta ten temat (1 Gości i 0 Anonimowych użytkowników)
0 Zarejestrowanych:

 



RSS Wersja Lo-Fi Aktualny czas: 20.07.2019 - 06:43